Producer Zamiana tekstu na muzykę
Użyj punktu końcowego text to music, aby utworzyć asynchroniczne zadanie.
Omówienie
Użyj punktu końcowego text to music z obsługiwanym modelem. Użyj zwróconego identyfikatora zadania, aby pobrać jego stan, lub podaj callback_url dla dostarczeń udokumentowanych poniżej.
Szybki start
- Utwórz klucz API i ustaw go jako RUNAPI_API_KEY.
- Wybierz obsługiwany model i wyślij żądanie POST, którego treść odpowiada schematowi tego modelu.
- Zapisz zwrócony identyfikator zadania, a następnie odpytuj do momentu osiągnięcia stanu końcowego lub obsłuż wywołania zwrotne opisane poniżej.
Punkt końcowy
- Bazowy URL
https://runapi.ai- Wersja API
v1- Uwierzytelnianie
Authorization: Bearer YOUR_API_TOKEN
Obsługiwane modele
Otwórz stronę modelu, aby zapoznać się z aktualnymi cenami, limitami żądań i szczegółami dotyczącymi użytku komercyjnego.
Schemat żądania
Pola i dozwolone wartości zależą od wybranego modelu. Jeśli zostanie podany, callback_url będzie odbierać dostarczenia zadań (Task) opisane poniżej.
fuzz-0.86 pola
callback_urlstringURL webhooka dla powiadomień asynchronicznych.
lyricsstringDokładny tekst do zaśpiewania.
modelstringIdentyfikator modelu.
promptstringStyl muzyczny i streszczenie produkcji.
Zakres:1 - 200
titlestringTytuł utworu muzycznego.
vocal_modestringTryb generowania wokalnego.
Dozwolone wartości:exact_lyrics, instrumental
fuzz-1.06 pola
callback_urlstringURL webhooka dla powiadomień asynchronicznych.
lyricsstringDokładny tekst do zaśpiewania.
modelstringIdentyfikator modelu.
promptstringStyl muzyczny i streszczenie produkcji.
Zakres:1 - 200
titlestringTytuł utworu muzycznego.
vocal_modestringTryb generowania wokalnego.
Dozwolone wartości:exact_lyrics, instrumental
fuzz-1.0-pro6 pola
callback_urlstringURL webhooka dla powiadomień asynchronicznych.
lyricsstringDokładny tekst do zaśpiewania.
modelstringIdentyfikator modelu.
promptstringStyl muzyczny i streszczenie produkcji.
Zakres:1 - 200
titlestringTytuł utworu muzycznego.
vocal_modestringTryb generowania wokalnego.
Dozwolone wartości:exact_lyrics, instrumental
fuzz-1.16 pola
callback_urlstringURL webhooka dla powiadomień asynchronicznych.
lyricsstringDokładny tekst do zaśpiewania.
modelstringIdentyfikator modelu.
promptstringStyl muzyczny i streszczenie produkcji.
Zakres:1 - 200
titlestringTytuł utworu muzycznego.
vocal_modestringTryb generowania wokalnego.
Dozwolone wartości:exact_lyrics, instrumental
fuzz-1.1-pro6 pola
callback_urlstringURL webhooka dla powiadomień asynchronicznych.
lyricsstringDokładny tekst do zaśpiewania.
modelstringIdentyfikator modelu.
promptstringStyl muzyczny i streszczenie produkcji.
Zakres:1 - 200
titlestringTytuł utworu muzycznego.
vocal_modestringTryb generowania wokalnego.
Dozwolone wartości:exact_lyrics, instrumental
fuzz-2.06 pola
callback_urlstringURL webhooka dla powiadomień asynchronicznych.
lyricsstringDokładny tekst do zaśpiewania.
modelstringIdentyfikator modelu.
promptstringStyl muzyczny i streszczenie produkcji.
Zakres:1 - 200
titlestringTytuł utworu muzycznego.
vocal_modestringTryb generowania wokalnego.
Dozwolone wartości:exact_lyrics, instrumental
fuzz-2.0-pro6 pola
callback_urlstringURL webhooka dla powiadomień asynchronicznych.
lyricsstringDokładny tekst do zaśpiewania.
modelstringIdentyfikator modelu.
promptstringStyl muzyczny i streszczenie produkcji.
Zakres:1 - 200
titlestringTytuł utworu muzycznego.
vocal_modestringTryb generowania wokalnego.
Dozwolone wartości:exact_lyrics, instrumental
fuzz-2.0-raw6 pola
callback_urlstringURL webhooka dla powiadomień asynchronicznych.
lyricsstringDokładny tekst do zaśpiewania.
modelstringIdentyfikator modelu.
promptstringStyl muzyczny i streszczenie produkcji.
Zakres:1 - 200
titlestringTytuł utworu muzycznego.
vocal_modestringTryb generowania wokalnego.
Dozwolone wartości:exact_lyrics, instrumental
Reguły warunkowe
Te wymagania obowiązują, gdy spełnione są wszystkie wymienione warunki.
-
Kiedy
vocal_mode = exact_lyrics- Wymagane
lyrics- Nie jest akceptowane
-
Kiedy
vocal_mode = instrumental- Wymagane
- Nie jest akceptowane
lyrics
Tworzenie akceptacji
POST /api/v1/producer/text_to_music
Schemat odpowiedzi
{
"properties": {
"billing": {
"properties": {
"refund": {
"oneOf": [
{
"properties": {
"refunded_at": {
"type": "string"
}
},
"required": [
"refunded_at"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"reservation": {
"oneOf": [
{
"properties": {
"amount_cents": {
"type": "integer"
}
},
"required": [
"amount_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"settlement": {
"oneOf": [
{
"properties": {
"amount_micro_cents": {
"type": "integer"
},
"charged_amount_cents": {
"type": "integer"
}
},
"required": [
"charged_amount_cents",
"amount_micro_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
}
},
"required": [
"reservation",
"settlement",
"refund"
],
"type": "object",
"unevaluatedProperties": false
},
"id": {
"type": "string"
},
"status": {
"enum": [
"processing"
],
"type": "string"
},
"task_replayed": {
"type": "boolean"
}
},
"required": [
"id",
"status",
"billing"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"billing": {
"refund": null,
"reservation": null,
"settlement": null
},
"id": "tsk_reference_demo",
"status": "processing"
}
Odpytywanie w toku
GET /api/v1/producer/text_to_music/:id
Schemat odpowiedzi
{
"properties": {
"billing": {
"properties": {
"refund": {
"oneOf": [
{
"properties": {
"refunded_at": {
"type": "string"
}
},
"required": [
"refunded_at"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"reservation": {
"oneOf": [
{
"properties": {
"amount_cents": {
"type": "integer"
}
},
"required": [
"amount_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"settlement": {
"oneOf": [
{
"properties": {
"amount_micro_cents": {
"type": "integer"
},
"charged_amount_cents": {
"type": "integer"
}
},
"required": [
"charged_amount_cents",
"amount_micro_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
}
},
"required": [
"reservation",
"settlement",
"refund"
],
"type": "object",
"unevaluatedProperties": false
},
"id": {
"type": "string"
},
"status": {
"enum": [
"processing"
],
"type": "string"
}
},
"required": [
"id",
"status",
"billing"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"billing": {
"refund": null,
"reservation": null,
"settlement": null
},
"id": "tsk_reference_demo",
"status": "processing"
}
Odpytywanie zakończone
GET /api/v1/producer/text_to_music/:id
Schemat odpowiedzi
{
"properties": {
"audios": {
"items": {
"properties": {
"audio_url": {
"type": "string",
"x-runapi-generated-media": true
},
"duration_seconds": {
"type": "number"
},
"id": {
"type": "string"
},
"image_url": {
"type": "string",
"x-runapi-generated-media": true
},
"lyrics": {
"type": "string"
},
"model_name": {
"type": "string"
},
"title": {
"type": "string"
}
},
"required": [
"id",
"audio_url",
"model_name"
],
"type": "object",
"unevaluatedProperties": false
},
"type": "array"
},
"billing": {
"properties": {
"refund": {
"oneOf": [
{
"properties": {
"refunded_at": {
"type": "string"
}
},
"required": [
"refunded_at"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"reservation": {
"oneOf": [
{
"properties": {
"amount_cents": {
"type": "integer"
}
},
"required": [
"amount_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"settlement": {
"oneOf": [
{
"properties": {
"amount_micro_cents": {
"type": "integer"
},
"charged_amount_cents": {
"type": "integer"
}
},
"required": [
"charged_amount_cents",
"amount_micro_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
}
},
"required": [
"reservation",
"settlement",
"refund"
],
"type": "object",
"unevaluatedProperties": false
},
"generation_stage": {
"enum": [
"all_audios_ready"
],
"type": "string"
},
"id": {
"type": "string"
},
"status": {
"enum": [
"completed"
],
"type": "string"
}
},
"required": [
"id",
"status",
"generation_stage",
"audios",
"billing"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"audios": [
{
"audio_url": "https://file.runapi.ai/reference-audio.mp3",
"duration_seconds": 78.36,
"id": "audio_reference",
"image_url": "https://cdn.runapi.ai/public/samples/image.jpg",
"lyrics": "[Instrumental]",
"model_name": "fuzz-2.0",
"title": "Soft Piano"
}
],
"billing": {
"refund": null,
"reservation": null,
"settlement": null
},
"generation_stage": "all_audios_ready",
"id": "tsk_reference_demo",
"status": "completed"
}
Odpytywanie nie powiodło się
GET /api/v1/producer/text_to_music/:id
Schemat odpowiedzi
{
"properties": {
"billing": {
"properties": {
"refund": {
"oneOf": [
{
"properties": {
"refunded_at": {
"type": "string"
}
},
"required": [
"refunded_at"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"reservation": {
"oneOf": [
{
"properties": {
"amount_cents": {
"type": "integer"
}
},
"required": [
"amount_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"settlement": {
"oneOf": [
{
"properties": {
"amount_micro_cents": {
"type": "integer"
},
"charged_amount_cents": {
"type": "integer"
}
},
"required": [
"charged_amount_cents",
"amount_micro_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
}
},
"required": [
"reservation",
"settlement",
"refund"
],
"type": "object",
"unevaluatedProperties": false
},
"error": {
"type": "string"
},
"generation_stage": {
"enum": [
"failed"
],
"type": "string"
},
"id": {
"type": "string"
},
"status": {
"enum": [
"failed"
],
"type": "string"
}
},
"required": [
"id",
"status",
"error",
"generation_stage",
"billing"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"billing": {
"refund": null,
"reservation": null,
"settlement": null
},
"error": "Task processing failed.",
"generation_stage": "failed",
"id": "tsk_reference_demo",
"status": "failed"
}
Wywołanie zwrotne klienta: ukończono
POST callback_url
Schemat odpowiedzi
{
"properties": {
"audios": {
"items": {
"properties": {
"audio_url": {
"type": "string",
"x-runapi-generated-media": true
},
"duration_seconds": {
"type": "number"
},
"id": {
"type": "string"
},
"image_url": {
"type": "string",
"x-runapi-generated-media": true
},
"lyrics": {
"type": "string"
},
"model_name": {
"type": "string"
},
"title": {
"type": "string"
}
},
"required": [
"id",
"audio_url",
"model_name"
],
"type": "object",
"unevaluatedProperties": false
},
"type": "array"
},
"generation_stage": {
"enum": [
"all_audios_ready"
],
"type": "string"
},
"id": {
"type": "string"
},
"status": {
"enum": [
"completed"
],
"type": "string"
}
},
"required": [
"id",
"status",
"generation_stage",
"audios"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"audios": [
{
"audio_url": "https://file.runapi.ai/reference-audio.mp3",
"duration_seconds": 78.36,
"id": "audio_reference",
"image_url": "https://cdn.runapi.ai/public/samples/image.jpg",
"lyrics": "[Instrumental]",
"model_name": "fuzz-2.0",
"title": "Soft Piano"
}
],
"generation_stage": "all_audios_ready",
"id": "tsk_reference_demo",
"status": "completed"
}
Wywołanie zwrotne klienta: niepowodzenie
POST callback_url
Schemat odpowiedzi
{
"properties": {
"error": {
"oneOf": [
{
"type": "string"
},
{
"properties": {
"code": {
"type": "string"
},
"limit_cents": {
"type": "integer"
},
"message": {
"type": "string"
},
"reset_at": {
"format": "date-time",
"type": [
"string",
"null"
]
},
"used_cents": {
"type": "integer"
},
"window": {
"enum": [
"1h",
"1d",
"7d",
"daily",
"weekly",
"monthly",
"lifetime"
],
"type": "string"
}
},
"required": [
"code",
"message"
],
"type": "object",
"unevaluatedProperties": false
}
]
},
"generation_stage": {
"enum": [
"failed"
],
"type": "string"
},
"id": {
"type": "string"
},
"status": {
"enum": [
"failed"
],
"type": "string"
}
},
"required": [
"id",
"status",
"error",
"generation_stage"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": {
"code": "generation_failed",
"message": "Task processing failed."
},
"generation_stage": "failed",
"id": "tsk_reference_demo",
"status": "failed"
}
Błędy
POST /api/v1/producer/text_to_music
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "Authentication required"
}
Błędy
GET /api/v1/producer/text_to_music/:id
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "Authentication required"
}
Błędy
POST /api/v1/producer/text_to_music
Schemat odpowiedzi
{
"oneOf": [
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
},
{
"properties": {
"error": {
"description": "Czytelne dla człowieka podsumowanie walidacji.",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "Komunikaty walidacyjne identyfikowane przez publiczne pole żądania, z tablicą czytelnych dla człowieka ciągów znaków dla każdego pola.",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
]
}
Przykład odpowiedzi
{
"error": "model must be one of: fuzz-0.8, fuzz-1.0, fuzz-1.0-pro, fuzz-1.1, fuzz-1.1-pro, fuzz-2.0, fuzz-2.0-pro, fuzz-2.0-raw"
}
Błędy
POST /api/v1/producer/text_to_music
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "Insufficient balance"
}
Błędy
POST /api/v1/producer/text_to_music
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "API key credit limit exceeded"
}
Błędy
POST /api/v1/producer/text_to_music
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "The request uses features that are not supported for the selected model"
}
Błędy
POST /api/v1/producer/text_to_music
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "Rate limit reached. Please retry later."
}
Błędy
POST /api/v1/producer/text_to_music
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "Service under maintenance, please try again later"
}
Błędy
POST /api/v1/producer/text_to_music
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "The request timed out"
}
Błędy
GET /api/v1/producer/text_to_music/:id
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "Task with id 'tsk_reference_demo' not found"
}
Wygenerowane przykłady kodu
Używaj bezpośrednio cURL lub zainstaluj SDK dla swojego języka. Każdy przykład przesyła zwalidowane żądanie pokazane w tej dokumentacji.
Instalacja
pip install runapi-producer
import os
from runapi.producer import ProducerClient
client = ProducerClient(api_key=os.environ["RUNAPI_API_KEY"])
task = client.text_to_music.create(
model="fuzz-2.0",
vocal_mode="instrumental",
prompt="Soft piano with gentle percussion."
)